| Home | Libraries | People | FAQ | More

## Struct template sum_impl

boost::accumulators::impl::sum_impl

## Synopsis

    // In header: <boost/accumulators/statistics/sum.hpp>

    template<typename Sample, typename Tag>
    struct sum_impl {
      // types
      typedef Sample result_type;

      // construct/copy/destruct
      template<typename Args> sum_impl(Args const &);

      // public member functions
      template<typename Args> void operator()(Args const &) ;
      result_type result(dont_care) const;
    };

## Description

### `sum_impl` public construct/copy/destruct

1.     template<typename Args> sum_impl(Args const & args);

### `sum_impl` public member functions

1.     template<typename Args> void operator()(Args const & args) ;

2.     result_type result(dont_care) const;